package SHARK2.keymon.com.mx;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class c_noventa_subs_0 {


public static RemoteObject  _b4xpage_appear(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_Appear (c_noventa) ","c_noventa",10,__ref.getField(false, "ba"),__ref,50);
if (RapidSub.canDelegate("b4xpage_appear")) { return __ref.runUserSub(false, "c_noventa","b4xpage_appear", __ref);}
 BA.debugLineNum = 50;BA.debugLine="Sub B4XPage_Appear";
Debug.ShouldStop(131072);
 BA.debugLineNum = 51;BA.debugLine="e_comm.Text=\"\"";
Debug.ShouldStop(262144);
__ref.getField(false,"_e_comm" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(""));
 BA.debugLineNum = 52;BA.debugLine="tgl.Initialize";
Debug.ShouldStop(524288);
__ref.getField(false,"_tgl" /*RemoteObject*/ ).runVoidMethod ("Initialize",__ref.getField(false, "ba"));
 BA.debugLineNum = 53;BA.debugLine="If Not(Starter.gps.GPSEnabled) Then";
Debug.ShouldStop(1048576);
if (c_noventa.__c.runMethod(true,"Not",(Object)(c_noventa._starter._gps /*RemoteObject*/ .runMethod(true,"getGPSEnabled"))).<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 54;BA.debugLine="ToastMessageShow(\"Es necesario tener el GPS ence";
Debug.ShouldStop(2097152);
c_noventa.__c.runVoidMethod ("ToastMessageShow",(Object)(BA.ObjectToCharSequence("Es necesario tener el GPS encendido")),(Object)(c_noventa.__c.getField(true,"True")));
 BA.debugLineNum = 55;BA.debugLine="StartActivity(Starter.gps.LocationSettingsIntent";
Debug.ShouldStop(4194304);
c_noventa.__c.runVoidMethod ("StartActivity",__ref.getField(false, "ba"),(Object)((c_noventa._starter._gps /*RemoteObject*/ .runMethod(false,"getLocationSettingsIntent"))));
 };
 BA.debugLineNum = 57;BA.debugLine="r_1.Checked = False";
Debug.ShouldStop(16777216);
__ref.getField(false,"_r_1" /*RemoteObject*/ ).runMethodAndSync(true,"setChecked",c_noventa.__c.getField(true,"False"));
 BA.debugLineNum = 58;BA.debugLine="r_2.Checked = False";
Debug.ShouldStop(33554432);
__ref.getField(false,"_r_2" /*RemoteObject*/ ).runMethodAndSync(true,"setChecked",c_noventa.__c.getField(true,"False"));
 BA.debugLineNum = 59;BA.debugLine="r_3.Checked = False";
Debug.ShouldStop(67108864);
__ref.getField(false,"_r_3" /*RemoteObject*/ ).runMethodAndSync(true,"setChecked",c_noventa.__c.getField(true,"False"));
 BA.debugLineNum = 60;BA.debugLine="r_4.Checked = False";
Debug.ShouldStop(134217728);
__ref.getField(false,"_r_4" /*RemoteObject*/ ).runMethodAndSync(true,"setChecked",c_noventa.__c.getField(true,"False"));
 BA.debugLineNum = 61;BA.debugLine="e_comm.Text = \"\"";
Debug.ShouldStop(268435456);
__ref.getField(false,"_e_comm" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(""));
 BA.debugLineNum = 62;BA.debugLine="End Sub";
Debug.ShouldStop(536870912);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b4xpage_created(RemoteObject __ref,RemoteObject _root1) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_Created (c_noventa) ","c_noventa",10,__ref.getField(false, "ba"),__ref,35);
if (RapidSub.canDelegate("b4xpage_created")) { return __ref.runUserSub(false, "c_noventa","b4xpage_created", __ref, _root1);}
Debug.locals.put("Root1", _root1);
 BA.debugLineNum = 35;BA.debugLine="Private Sub B4XPage_Created (Root1 As B4XView)";
Debug.ShouldStop(4);
 BA.debugLineNum = 36;BA.debugLine="Root = Root1";
Debug.ShouldStop(8);
__ref.setField ("_root" /*RemoteObject*/ ,_root1);
 BA.debugLineNum = 38;BA.debugLine="Root.LoadLayout(\"noventa\")";
Debug.ShouldStop(32);
__ref.getField(false,"_root" /*RemoteObject*/ ).runVoidMethodAndSync ("LoadLayout",(Object)(RemoteObject.createImmutable("noventa")),__ref.getField(false, "ba"));
 BA.debugLineNum = 39;BA.debugLine="ruta = File.DirInternal";
Debug.ShouldStop(64);
__ref.setField ("_ruta" /*RemoteObject*/ ,c_noventa.__c.getField(false,"File").runMethod(true,"getDirInternal"));
 BA.debugLineNum = 41;BA.debugLine="If File.Exists(ruta, \"kmt.db\") = False Then";
Debug.ShouldStop(256);
if (RemoteObject.solveBoolean("=",c_noventa.__c.getField(false,"File").runMethod(true,"Exists",(Object)(__ref.getField(true,"_ruta" /*RemoteObject*/ )),(Object)(RemoteObject.createImmutable("kmt.db"))),c_noventa.__c.getField(true,"False"))) { 
 BA.debugLineNum = 42;BA.debugLine="File.Copy(File.DirAssets, \"kmt.db\", ruta, \"kmt.d";
Debug.ShouldStop(512);
c_noventa.__c.getField(false,"File").runVoidMethod ("Copy",(Object)(c_noventa.__c.getField(false,"File").runMethod(true,"getDirAssets")),(Object)(BA.ObjectToString("kmt.db")),(Object)(__ref.getField(true,"_ruta" /*RemoteObject*/ )),(Object)(RemoteObject.createImmutable("kmt.db")));
 };
 BA.debugLineNum = 44;BA.debugLine="reqManager.Initialize(Me, Starter.DBReqServer)";
Debug.ShouldStop(2048);
__ref.getField(false,"_reqmanager" /*RemoteObject*/ ).runClassMethod (SHARK2.keymon.com.mx.dbrequestmanager.class, "_initialize" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(__ref),(Object)(c_noventa._starter._dbreqserver /*RemoteObject*/ ));
 BA.debugLineNum = 46;BA.debugLine="End Sub";
Debug.ShouldStop(8192);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _cancela_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("CANCELA_Click (c_noventa) ","c_noventa",10,__ref.getField(false, "ba"),__ref,69);
if (RapidSub.canDelegate("cancela_click")) { return __ref.runUserSub(false, "c_noventa","cancela_click", __ref);}
 BA.debugLineNum = 69;BA.debugLine="Sub CANCELA_Click";
Debug.ShouldStop(16);
 BA.debugLineNum = 70;BA.debugLine="B4XPages.ShowPage(\"Cliente\")";
Debug.ShouldStop(32);
c_noventa._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("Cliente")));
 BA.debugLineNum = 71;BA.debugLine="End Sub";
Debug.ShouldStop(64);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _class_globals(RemoteObject __ref) throws Exception{
 //BA.debugLineNum = 1;BA.debugLine="Sub Class_Globals";
 //BA.debugLineNum = 2;BA.debugLine="Private Root As B4XView 'ignore";
c_noventa._root = RemoteObject.createNew ("anywheresoftware.b4a.objects.B4XViewWrapper");__ref.setField("_root",c_noventa._root);
 //BA.debugLineNum = 3;BA.debugLine="Private xui As XUI 'ignore";
c_noventa._xui = RemoteObject.createNew ("anywheresoftware.b4a.objects.B4XViewWrapper.XUI");__ref.setField("_xui",c_noventa._xui);
 //BA.debugLineNum = 5;BA.debugLine="Dim g As GPS";
c_noventa._g = RemoteObject.createNew ("anywheresoftware.b4a.gps.GPS");__ref.setField("_g",c_noventa._g);
 //BA.debugLineNum = 6;BA.debugLine="Dim ruta As String";
c_noventa._ruta = RemoteObject.createImmutable("");__ref.setField("_ruta",c_noventa._ruta);
 //BA.debugLineNum = 7;BA.debugLine="Dim skmt As SQL";
c_noventa._skmt = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL");__ref.setField("_skmt",c_noventa._skmt);
 //BA.debugLineNum = 8;BA.debugLine="Dim c As Cursor";
c_noventa._c = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");__ref.setField("_c",c_noventa._c);
 //BA.debugLineNum = 10;BA.debugLine="Dim CANCELA As Button";
c_noventa._cancela = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");__ref.setField("_cancela",c_noventa._cancela);
 //BA.debugLineNum = 11;BA.debugLine="Dim GUARDA As Button";
c_noventa._guarda = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");__ref.setField("_guarda",c_noventa._guarda);
 //BA.debugLineNum = 12;BA.debugLine="Dim r_1 As RadioButton";
c_noventa._r_1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper");__ref.setField("_r_1",c_noventa._r_1);
 //BA.debugLineNum = 13;BA.debugLine="Dim r_2 As RadioButton";
c_noventa._r_2 = RemoteObject.createNew ("anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper");__ref.setField("_r_2",c_noventa._r_2);
 //BA.debugLineNum = 14;BA.debugLine="Dim r_3 As RadioButton";
c_noventa._r_3 = RemoteObject.createNew ("anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper");__ref.setField("_r_3",c_noventa._r_3);
 //BA.debugLineNum = 15;BA.debugLine="Dim e_comm As EditText";
c_noventa._e_comm = RemoteObject.createNew ("anywheresoftware.b4a.objects.EditTextWrapper");__ref.setField("_e_comm",c_noventa._e_comm);
 //BA.debugLineNum = 16;BA.debugLine="Dim motivo As String";
c_noventa._motivo = RemoteObject.createImmutable("");__ref.setField("_motivo",c_noventa._motivo);
 //BA.debugLineNum = 17;BA.debugLine="Dim cuenta As String";
c_noventa._cuenta = RemoteObject.createImmutable("");__ref.setField("_cuenta",c_noventa._cuenta);
 //BA.debugLineNum = 18;BA.debugLine="Dim usuario As String";
c_noventa._usuario = RemoteObject.createImmutable("");__ref.setField("_usuario",c_noventa._usuario);
 //BA.debugLineNum = 19;BA.debugLine="Dim sDate,sTime As String";
c_noventa._sdate = RemoteObject.createImmutable("");__ref.setField("_sdate",c_noventa._sdate);
c_noventa._stime = RemoteObject.createImmutable("");__ref.setField("_stime",c_noventa._stime);
 //BA.debugLineNum = 21;BA.debugLine="Dim tgl As Toggle";
c_noventa._tgl = RemoteObject.createNew ("com.rootsoft.togglelibrary.ToggleLibrary");__ref.setField("_tgl",c_noventa._tgl);
 //BA.debugLineNum = 22;BA.debugLine="Dim r_4 As RadioButton";
c_noventa._r_4 = RemoteObject.createNew ("anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper");__ref.setField("_r_4",c_noventa._r_4);
 //BA.debugLineNum = 23;BA.debugLine="Dim reqManager As DBRequestManager";
c_noventa._reqmanager = RemoteObject.createNew ("SHARK2.keymon.com.mx.dbrequestmanager");__ref.setField("_reqmanager",c_noventa._reqmanager);
 //BA.debugLineNum = 24;BA.debugLine="Private stay_hh As String";
c_noventa._stay_hh = RemoteObject.createImmutable("");__ref.setField("_stay_hh",c_noventa._stay_hh);
 //BA.debugLineNum = 25;BA.debugLine="Private stay_mi As String";
c_noventa._stay_mi = RemoteObject.createImmutable("");__ref.setField("_stay_mi",c_noventa._stay_mi);
 //BA.debugLineNum = 26;BA.debugLine="Private stay_ss As String";
c_noventa._stay_ss = RemoteObject.createImmutable("");__ref.setField("_stay_ss",c_noventa._stay_ss);
 //BA.debugLineNum = 27;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _gps_locationchanged(RemoteObject __ref,RemoteObject _location1) throws Exception{
try {
		Debug.PushSubsStack("GPS_LocationChanged (c_noventa) ","c_noventa",10,__ref.getField(false, "ba"),__ref,64);
if (RapidSub.canDelegate("gps_locationchanged")) { return __ref.runUserSub(false, "c_noventa","gps_locationchanged", __ref, _location1);}
Debug.locals.put("Location1", _location1);
 BA.debugLineNum = 64;BA.debugLine="Sub GPS_LocationChanged (Location1 As Location)";
Debug.ShouldStop(-2147483648);
 BA.debugLineNum = 67;BA.debugLine="End Sub";
Debug.ShouldStop(4);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _guarda_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("GUARDA_Click (c_noventa) ","c_noventa",10,__ref.getField(false, "ba"),__ref,72);
if (RapidSub.canDelegate("guarda_click")) { return __ref.runUserSub(false, "c_noventa","guarda_click", __ref);}
int _i = 0;
RemoteObject _crevisa = RemoteObject.declareNull("anywheresoftware.b4a.sql.SQL.CursorWrapper");
 BA.debugLineNum = 72;BA.debugLine="Sub GUARDA_Click";
Debug.ShouldStop(128);
 BA.debugLineNum = 73;BA.debugLine="If r_1.Checked Then";
Debug.ShouldStop(256);
if (__ref.getField(false,"_r_1" /*RemoteObject*/ ).runMethod(true,"getChecked").<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 74;BA.debugLine="motivo = \"CERRADO\"";
Debug.ShouldStop(512);
__ref.setField ("_motivo" /*RemoteObject*/ ,BA.ObjectToString("CERRADO"));
 }else 
{ BA.debugLineNum = 75;BA.debugLine="Else If r_2.Checked Then";
Debug.ShouldStop(1024);
if (__ref.getField(false,"_r_2" /*RemoteObject*/ ).runMethod(true,"getChecked").<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 76;BA.debugLine="motivo = \"NO COMPRA\"";
Debug.ShouldStop(2048);
__ref.setField ("_motivo" /*RemoteObject*/ ,BA.ObjectToString("NO COMPRA"));
 }else 
{ BA.debugLineNum = 77;BA.debugLine="Else If r_3.Checked Then";
Debug.ShouldStop(4096);
if (__ref.getField(false,"_r_3" /*RemoteObject*/ ).runMethod(true,"getChecked").<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 78;BA.debugLine="motivo = \"CON PRODUCTO\"";
Debug.ShouldStop(8192);
__ref.setField ("_motivo" /*RemoteObject*/ ,BA.ObjectToString("CON PRODUCTO"));
 }else {
 BA.debugLineNum = 80;BA.debugLine="motivo = \"NO ESTA EL ENCARGADO\"";
Debug.ShouldStop(32768);
__ref.setField ("_motivo" /*RemoteObject*/ ,BA.ObjectToString("NO ESTA EL ENCARGADO"));
 }}}
;
 BA.debugLineNum = 82;BA.debugLine="DateTime.DateFormat = \"MM/dd/yyyy\"";
Debug.ShouldStop(131072);
c_noventa.__c.getField(false,"DateTime").runMethod(true,"setDateFormat",BA.ObjectToString("MM/dd/yyyy"));
 BA.debugLineNum = 83;BA.debugLine="sDate=DateTime.Date(DateTime.Now)";
Debug.ShouldStop(262144);
__ref.setField ("_sdate" /*RemoteObject*/ ,c_noventa.__c.getField(false,"DateTime").runMethod(true,"Date",(Object)(c_noventa.__c.getField(false,"DateTime").runMethod(true,"getNow"))));
 BA.debugLineNum = 84;BA.debugLine="sTime=DateTime.Time(DateTime.Now)";
Debug.ShouldStop(524288);
__ref.setField ("_stime" /*RemoteObject*/ ,c_noventa.__c.getField(false,"DateTime").runMethod(true,"Time",(Object)(c_noventa.__c.getField(false,"DateTime").runMethod(true,"getNow"))));
 BA.debugLineNum = 85;BA.debugLine="c=B4XPages.MainPage.skmt.ExecQuery(\"select CUENTA";
Debug.ShouldStop(1048576);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_noventa._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select CUENTA from cuentaa"))));
 BA.debugLineNum = 86;BA.debugLine="c.Position = 0";
Debug.ShouldStop(2097152);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 87;BA.debugLine="cuenta = c.GetString(\"CUENTA\")";
Debug.ShouldStop(4194304);
__ref.setField ("_cuenta" /*RemoteObject*/ ,__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CUENTA"))));
 BA.debugLineNum = 88;BA.debugLine="c=B4XPages.MainPage.skmt.ExecQuery(\"select usuari";
Debug.ShouldStop(8388608);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_noventa._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select usuario from usuarioa"))));
 BA.debugLineNum = 89;BA.debugLine="c.Position = 0";
Debug.ShouldStop(16777216);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 90;BA.debugLine="usuario = c.GetString(\"USUARIO\")";
Debug.ShouldStop(33554432);
__ref.setField ("_usuario" /*RemoteObject*/ ,__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("USUARIO"))));
 BA.debugLineNum = 91;BA.debugLine="c=B4XPages.MainPage.skmt.ExecQuery(\"select PE_PRO";
Debug.ShouldStop(67108864);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_noventa._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select PE_PROID,PE_CANT FROM PEDIDO where pe_cliente in (Select CUENTA from cuentaa) "))));
 BA.debugLineNum = 92;BA.debugLine="If c.RowCount>0 Then";
Debug.ShouldStop(134217728);
if (RemoteObject.solveBoolean(">",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 93;BA.debugLine="For i=0 To c.RowCount -1";
Debug.ShouldStop(268435456);
{
final int step21 = 1;
final int limit21 = RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
for (;(step21 > 0 && _i <= limit21) || (step21 < 0 && _i >= limit21) ;_i = ((int)(0 + _i + step21))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 94;BA.debugLine="c.Position=i";
Debug.ShouldStop(536870912);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 95;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery2(\"update ca";
Debug.ShouldStop(1073741824);
c_noventa._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("update cat_gunaprod set cat_gp_almacen = cat_gp_almacen + ? where cat_gp_id = ?")),(Object)(c_noventa.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {2},new Object[] {(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_CANT")))),(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_PROID"))))})))));
 BA.debugLineNum = 96;BA.debugLine="Subs.borraPedidoClienteActual";
Debug.ShouldStop(-2147483648);
c_noventa._subs.runVoidMethod ("_borrapedidoclienteactual" /*RemoteObject*/ ,__ref.getField(false, "ba"));
 }
}Debug.locals.put("i", _i);
;
 };
 BA.debugLineNum = 103;BA.debugLine="Dim cRevisa As Cursor = B4XPages.MainPage.skmt.Ex";
Debug.ShouldStop(64);
_crevisa = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");
_crevisa = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), c_noventa._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)((RemoteObject.concat(RemoteObject.createImmutable("SELECT distinct NV_CLIENTE FROM NOVENTA WHERE NV_CLIENTE = '"),c_noventa.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((__ref.getField(true,"_cuenta" /*RemoteObject*/ )))),RemoteObject.createImmutable("'"))))));Debug.locals.put("cRevisa", _crevisa);Debug.locals.put("cRevisa", _crevisa);
 BA.debugLineNum = 104;BA.debugLine="If cRevisa.RowCount > 0 Then";
Debug.ShouldStop(128);
if (RemoteObject.solveBoolean(">",_crevisa.runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 105;BA.debugLine="cRevisa.Position = 0";
Debug.ShouldStop(256);
_crevisa.runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 106;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery(\"UPDATE kmt_";
Debug.ShouldStop(512);
c_noventa._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("UPDATE kmt_info set gestion = 3  where CAT_CL_CODIGO In (select cuenta from cuentaa)")));
 }else {
 BA.debugLineNum = 108;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery2(\"INSERT INT";
Debug.ShouldStop(2048);
c_noventa._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("INSERT INTO  NOVENTA (NV_CLIENTE,NV_FECHA,NV_USER,NV_MOTIVO,NV_COMM,NV_LAT,NV_LON) VALUES(?,?,?,?,?,?,?) ")),(Object)(c_noventa.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {7},new Object[] {(__ref.getField(true,"_cuenta" /*RemoteObject*/ )),(RemoteObject.concat(__ref.getField(true,"_sdate" /*RemoteObject*/ ),__ref.getField(true,"_stime" /*RemoteObject*/ ))),(__ref.getField(true,"_usuario" /*RemoteObject*/ )),(__ref.getField(true,"_motivo" /*RemoteObject*/ )),(__ref.getField(false,"_e_comm" /*RemoteObject*/ ).runMethod(true,"getText")),(c_noventa._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(true,"_lat_gps" /*RemoteObject*/ )),(c_noventa._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(true,"_lon_gps" /*RemoteObject*/ ))})))));
 BA.debugLineNum = 109;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery(\"UPDATE kmt_";
Debug.ShouldStop(4096);
c_noventa._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("UPDATE kmt_info set gestion = 3  where CAT_CL_CODIGO In (select cuenta from cuentaa)")));
 };
 BA.debugLineNum = 111;BA.debugLine="DateTime.TimeFormat = \"HHmmss\"";
Debug.ShouldStop(16384);
c_noventa.__c.getField(false,"DateTime").runMethod(true,"setTimeFormat",BA.ObjectToString("HHmmss"));
 BA.debugLineNum = 112;BA.debugLine="sTime=DateTime.Time(DateTime.Now)";
Debug.ShouldStop(32768);
__ref.setField ("_stime" /*RemoteObject*/ ,c_noventa.__c.getField(false,"DateTime").runMethod(true,"Time",(Object)(c_noventa.__c.getField(false,"DateTime").runMethod(true,"getNow"))));
 BA.debugLineNum = 113;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery2(\"UPDATE HIST";
Debug.ShouldStop(65536);
c_noventa._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("UPDATE HIST_STAY_STORE set HSS_OUT = ?  where HSS_CODIGO In (select cuenta from cuentaa)")),(Object)(c_noventa.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(__ref.getField(true,"_stime" /*RemoteObject*/ ))})))));
 BA.debugLineNum = 116;BA.debugLine="c=B4XPages.MainPage.skmt.ExecQuery(\" Select (subs";
Debug.ShouldStop(524288);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_noventa._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.concat(RemoteObject.createImmutable(" Select (substr(HSS_OUT,1,2) - substr(HSS_IN,1,2)) - Case when  (substr(HSS_OUT,3,2) - substr(HSS_IN,3,2)) < 0 Then 1 Else 0 end HORAS_TOTALES, "),RemoteObject.createImmutable("Case when  (substr(HSS_OUT,3,2) - substr(HSS_IN,3,2)) < 0 Then (substr(HSS_OUT,3,2) + 60 - substr(HSS_IN,3,2)) "),RemoteObject.createImmutable("	Else (substr(HSS_OUT,3,2) - substr(HSS_IN,3,2)) End - Case when  (substr(HSS_OUT,5,2) - substr(HSS_IN,5,2)) < 0 Then 1 Else 0 end  MINUTOS_TOTALES, "),RemoteObject.createImmutable("Case when  (substr(HSS_OUT,5,2) - substr(HSS_IN,5,2)) < 0 Then (substr(HSS_OUT,5,2) + 60 - substr(HSS_IN,5,2)) "),RemoteObject.createImmutable("	Else (substr(HSS_OUT,5,2) - substr(HSS_IN,5,2)) end SEGUNDOS_TOTALES "),RemoteObject.createImmutable("	from HIST_STAY_STORE where HSS_CODIGO In (Select cuenta from cuentaa) ")))));
 BA.debugLineNum = 122;BA.debugLine="c.Position = 0";
Debug.ShouldStop(33554432);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 123;BA.debugLine="stay_hh = c.GetString(\"HORAS_TOTALES\") * 60 * 60";
Debug.ShouldStop(67108864);
__ref.setField ("_stay_hh" /*RemoteObject*/ ,BA.NumberToString(RemoteObject.solve(new RemoteObject[] {BA.numberCast(double.class, __ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("HORAS_TOTALES")))),RemoteObject.createImmutable(60),RemoteObject.createImmutable(60)}, "**",0, 0)));
 BA.debugLineNum = 124;BA.debugLine="stay_mi = c.GetString(\"MINUTOS_TOTALES\") * 60";
Debug.ShouldStop(134217728);
__ref.setField ("_stay_mi" /*RemoteObject*/ ,BA.NumberToString(RemoteObject.solve(new RemoteObject[] {BA.numberCast(double.class, __ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("MINUTOS_TOTALES")))),RemoteObject.createImmutable(60)}, "*",0, 0)));
 BA.debugLineNum = 125;BA.debugLine="stay_ss = c.GetString(\"SEGUNDOS_TOTALES\")";
Debug.ShouldStop(268435456);
__ref.setField ("_stay_ss" /*RemoteObject*/ ,__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("SEGUNDOS_TOTALES"))));
 BA.debugLineNum = 127;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery2(\"UPDATE HIST";
Debug.ShouldStop(1073741824);
c_noventa._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("UPDATE HIST_STAY_STORE set HSS_TOT = ?  where HSS_CODIGO In (select cuenta from cuentaa)")),(Object)(c_noventa.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(RemoteObject.solve(new RemoteObject[] {BA.numberCast(double.class, __ref.getField(true,"_stay_hh" /*RemoteObject*/ )),BA.numberCast(double.class, __ref.getField(true,"_stay_mi" /*RemoteObject*/ )),BA.numberCast(double.class, __ref.getField(true,"_stay_ss" /*RemoteObject*/ ))}, "++",2, 0))})))));
 BA.debugLineNum = 128;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery2(\"UPDATE HIST";
Debug.ShouldStop(-2147483648);
c_noventa._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("UPDATE HIST_STAY_OUT set HSO_FIN = ?  ")),(Object)(c_noventa.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(__ref.getField(true,"_stime" /*RemoteObject*/ ))})))));
 BA.debugLineNum = 129;BA.debugLine="DateTime.TimeFormat = \"HH:mm:ss\"";
Debug.ShouldStop(1);
c_noventa.__c.getField(false,"DateTime").runMethod(true,"setTimeFormat",BA.ObjectToString("HH:mm:ss"));
 BA.debugLineNum = 131;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery2(\"update PEDI";
Debug.ShouldStop(4);
c_noventa._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("update PEDIDO_INICIO_FINAL set PIF_HORA_FINAL = ? where PIF_CLIENTE = ? and PIF_HORA_FINAL = 0")),(Object)(c_noventa.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {2},new Object[] {(c_noventa.__c.getField(false,"DateTime").runMethod(true,"getNow")),(__ref.getField(true,"_cuenta" /*RemoteObject*/ ))})))));
 BA.debugLineNum = 132;BA.debugLine="LogColor($\"actualizamos \"${cuenta},  hora_final=$";
Debug.ShouldStop(8);
c_noventa.__c.runVoidMethod ("LogImpl","513107260",(RemoteObject.concat(RemoteObject.createImmutable("actualizamos \""),c_noventa.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((__ref.getField(true,"_cuenta" /*RemoteObject*/ )))),RemoteObject.createImmutable(",  hora_final="),c_noventa.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((c_noventa.__c.getField(false,"DateTime").runMethod(true,"getNow")))),RemoteObject.createImmutable(""))),c_noventa.__c.getField(false,"Colors").getField(true,"Red"));
 BA.debugLineNum = 135;BA.debugLine="B4XPages.ShowPage(\"Principal\")";
Debug.ShouldStop(64);
c_noventa._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("Principal")));
 BA.debugLineNum = 136;BA.debugLine="End Sub";
Debug.ShouldStop(128);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _initialize(RemoteObject __ref,RemoteObject _ba) throws Exception{
try {
		Debug.PushSubsStack("Initialize (c_noventa) ","c_noventa",10,__ref.getField(false, "ba"),__ref,30);
if (RapidSub.canDelegate("initialize")) { return __ref.runUserSub(false, "c_noventa","initialize", __ref, _ba);}
__ref.runVoidMethodAndSync("innerInitializeHelper", _ba);
Debug.locals.put("ba", _ba);
 BA.debugLineNum = 30;BA.debugLine="Public Sub Initialize As Object";
Debug.ShouldStop(536870912);
 BA.debugLineNum = 31;BA.debugLine="Return Me";
Debug.ShouldStop(1073741824);
if (true) return __ref;
 BA.debugLineNum = 32;BA.debugLine="End Sub";
Debug.ShouldStop(-2147483648);
return RemoteObject.createImmutable(null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _jobdone(RemoteObject __ref,RemoteObject _job) throws Exception{
try {
		Debug.PushSubsStack("JobDone (c_noventa) ","c_noventa",10,__ref.getField(false, "ba"),__ref,156);
if (RapidSub.canDelegate("jobdone")) { return __ref.runUserSub(false, "c_noventa","jobdone", __ref, _job);}
RemoteObject _resultado = RemoteObject.declareNull("SHARK2.keymon.com.mx.dbrequestmanager._dbresult");
RemoteObject _cliente = RemoteObject.createImmutable("");
RemoteObject _records = null;
RemoteObject _k = RemoteObject.createImmutable("");
Debug.locals.put("Job", _job);
 BA.debugLineNum = 156;BA.debugLine="Sub JobDone(Job As HttpJob)";
Debug.ShouldStop(134217728);
 BA.debugLineNum = 157;BA.debugLine="Log(Job.Success)";
Debug.ShouldStop(268435456);
c_noventa.__c.runVoidMethod ("LogImpl","513238273",BA.ObjectToString(_job.getField(true,"_success" /*RemoteObject*/ )),0);
 BA.debugLineNum = 158;BA.debugLine="If Job.Success = False Then";
Debug.ShouldStop(536870912);
if (RemoteObject.solveBoolean("=",_job.getField(true,"_success" /*RemoteObject*/ ),c_noventa.__c.getField(true,"False"))) { 
 BA.debugLineNum = 159;BA.debugLine="ToastMessageShow(\"Error: \" & Job.ErrorMessage, Tr";
Debug.ShouldStop(1073741824);
c_noventa.__c.runVoidMethod ("ToastMessageShow",(Object)(BA.ObjectToCharSequence(RemoteObject.concat(RemoteObject.createImmutable("Error: "),_job.getField(true,"_errormessage" /*RemoteObject*/ )))),(Object)(c_noventa.__c.getField(true,"True")));
 }else {
 BA.debugLineNum = 161;BA.debugLine="LogColor(\"JobDone: '\" & reqManager.HandleJob(Job)";
Debug.ShouldStop(1);
c_noventa.__c.runVoidMethod ("LogImpl","513238277",RemoteObject.concat(RemoteObject.createImmutable("JobDone: '"),__ref.getField(false,"_reqmanager" /*RemoteObject*/ ).runClassMethod (SHARK2.keymon.com.mx.dbrequestmanager.class, "_handlejob" /*RemoteObject*/ ,(Object)(_job)).getField(false,"Tag" /*RemoteObject*/ ),RemoteObject.createImmutable("' - Registros: "),__ref.getField(false,"_reqmanager" /*RemoteObject*/ ).runClassMethod (SHARK2.keymon.com.mx.dbrequestmanager.class, "_handlejob" /*RemoteObject*/ ,(Object)(_job)).getField(false,"Rows" /*RemoteObject*/ ).runMethod(true,"getSize")),c_noventa.__c.getField(false,"Colors").getField(true,"Green"));
 BA.debugLineNum = 162;BA.debugLine="If Job.JobName = \"DBRequest\" Then";
Debug.ShouldStop(2);
if (RemoteObject.solveBoolean("=",_job.getField(true,"_jobname" /*RemoteObject*/ ),BA.ObjectToString("DBRequest"))) { 
 BA.debugLineNum = 163;BA.debugLine="Dim resultado As DBResult = reqManager.HandleJob";
Debug.ShouldStop(4);
_resultado = __ref.getField(false,"_reqmanager" /*RemoteObject*/ ).runClassMethod (SHARK2.keymon.com.mx.dbrequestmanager.class, "_handlejob" /*RemoteObject*/ ,(Object)(_job));Debug.locals.put("resultado", _resultado);Debug.locals.put("resultado", _resultado);
 BA.debugLineNum = 164;BA.debugLine="If resultado.Tag.As(String).IndexOf(\"insert_nov";
Debug.ShouldStop(8);
if (RemoteObject.solveBoolean(">",(BA.ObjectToString(_resultado.getField(false,"Tag" /*RemoteObject*/ ))).runMethod(true,"indexOf",(Object)(RemoteObject.createImmutable("insert_noventa_"))),BA.numberCast(double.class, -(double) (0 + 1)))) { 
 BA.debugLineNum = 165;BA.debugLine="Private cliente As String= resultado.Tag";
Debug.ShouldStop(16);
_cliente = BA.ObjectToString(_resultado.getField(false,"Tag" /*RemoteObject*/ ));Debug.locals.put("cliente", _cliente);Debug.locals.put("cliente", _cliente);
 BA.debugLineNum = 166;BA.debugLine="cliente = cliente.SubString(cliente.IndexOf(\"_\"";
Debug.ShouldStop(32);
_cliente = _cliente.runMethod(true,"substring",(Object)(RemoteObject.solve(new RemoteObject[] {_cliente.runMethod(true,"indexOf",(Object)(RemoteObject.createImmutable("_"))),RemoteObject.createImmutable(9)}, "+",1, 1)));Debug.locals.put("cliente", _cliente);
 BA.debugLineNum = 167;BA.debugLine="Log($\"Cliente1:${cliente}\"$)";
Debug.ShouldStop(64);
c_noventa.__c.runVoidMethod ("LogImpl","513238283",(RemoteObject.concat(RemoteObject.createImmutable("Cliente1:"),c_noventa.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((_cliente))),RemoteObject.createImmutable(""))),0);
 BA.debugLineNum = 168;BA.debugLine="Starter.skmt.ExecNonQuery($\"update NOVENTA set";
Debug.ShouldStop(128);
c_noventa._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery",(Object)((RemoteObject.concat(RemoteObject.createImmutable("update NOVENTA set NV_ENVIO_OK = '1' where NV_CLIENTE = '"),c_noventa.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((_cliente))),RemoteObject.createImmutable("'")))));
 BA.debugLineNum = 169;BA.debugLine="For Each records() As Object In resultado.Rows";
Debug.ShouldStop(256);
{
final RemoteObject group13 = _resultado.getField(false,"Rows" /*RemoteObject*/ );
final int groupLen13 = group13.runMethod(true,"getSize").<Integer>get()
;int index13 = 0;
;
for (; index13 < groupLen13;index13++){
_records = (group13.runMethod(false,"Get",index13));Debug.locals.put("records", _records);
Debug.locals.put("records", _records);
 BA.debugLineNum = 170;BA.debugLine="For Each k As String In resultado.Columns.Keys";
Debug.ShouldStop(512);
{
final RemoteObject group14 = _resultado.getField(false,"Columns" /*RemoteObject*/ ).runMethod(false,"Keys");
final int groupLen14 = group14.runMethod(true,"getSize").<Integer>get()
;int index14 = 0;
;
for (; index14 < groupLen14;index14++){
_k = BA.ObjectToString(group14.runMethod(false,"Get",index14));Debug.locals.put("k", _k);
Debug.locals.put("k", _k);
 BA.debugLineNum = 171;BA.debugLine="Log(resultado.Tag & \": \" & k & \": \" & records";
Debug.ShouldStop(1024);
c_noventa.__c.runVoidMethod ("LogImpl","513238287",RemoteObject.concat(_resultado.getField(false,"Tag" /*RemoteObject*/ ),RemoteObject.createImmutable(": "),_k,RemoteObject.createImmutable(": "),_records.getArrayElement(false,BA.numberCast(int.class, _resultado.getField(false,"Columns" /*RemoteObject*/ ).runMethod(false,"Get",(Object)((_k)))))),0);
 }
}Debug.locals.put("k", _k);
;
 }
}Debug.locals.put("records", _records);
;
 };
 };
 BA.debugLineNum = 176;BA.debugLine="Job.Release";
Debug.ShouldStop(32768);
_job.runClassMethod (SHARK2.keymon.com.mx.httpjob.class, "_release" /*RemoteObject*/ );
 };
 BA.debugLineNum = 178;BA.debugLine="End Sub";
Debug.ShouldStop(131072);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _mandapendientesnoventa(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("mandaPendientesnoventa (c_noventa) ","c_noventa",10,__ref.getField(false, "ba"),__ref,138);
if (RapidSub.canDelegate("mandapendientesnoventa")) { return __ref.runUserSub(false, "c_noventa","mandapendientesnoventa", __ref);}
int _i = 0;
RemoteObject _cmd = RemoteObject.declareNull("SHARK2.keymon.com.mx.dbrequestmanager._dbcommand");
 BA.debugLineNum = 138;BA.debugLine="Sub mandaPendientesnoventa";
Debug.ShouldStop(512);
 BA.debugLineNum = 141;BA.debugLine="c = B4XPages.MainPage.skmt.ExecQuery(\"SELECT * FR";
Debug.ShouldStop(4096);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_noventa._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("SELECT * FROM NOVENTA where ifnull(NV_ENVIO_OK, 0) <> 1"))));
 BA.debugLineNum = 142;BA.debugLine="Log($\"NO VENTA PENDIENTE: ${c.RowCount}\"$)";
Debug.ShouldStop(8192);
c_noventa.__c.runVoidMethod ("LogImpl","513172740",(RemoteObject.concat(RemoteObject.createImmutable("NO VENTA PENDIENTE: "),c_noventa.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount")))),RemoteObject.createImmutable(""))),0);
 BA.debugLineNum = 143;BA.debugLine="If c.RowCount>0 Then";
Debug.ShouldStop(16384);
if (RemoteObject.solveBoolean(">",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 144;BA.debugLine="For i=0 To c.RowCount -1";
Debug.ShouldStop(32768);
{
final int step4 = 1;
final int limit4 = RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
for (;(step4 > 0 && _i <= limit4) || (step4 < 0 && _i >= limit4) ;_i = ((int)(0 + _i + step4))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 145;BA.debugLine="c.Position=i";
Debug.ShouldStop(65536);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 146;BA.debugLine="Dim cmd As DBCommand";
Debug.ShouldStop(131072);
_cmd = RemoteObject.createNew ("SHARK2.keymon.com.mx.dbrequestmanager._dbcommand");Debug.locals.put("cmd", _cmd);
 BA.debugLineNum = 147;BA.debugLine="cmd.Initialize";
Debug.ShouldStop(262144);
_cmd.runVoidMethod ("Initialize");
 BA.debugLineNum = 148;BA.debugLine="cmd.Name = \"insert_noventa_SHARK2\"";
Debug.ShouldStop(524288);
_cmd.setField ("Name" /*RemoteObject*/ ,BA.ObjectToString("insert_noventa_SHARK2"));
 BA.debugLineNum = 149;BA.debugLine="cmd.Parameters = Array As Object(C.GetString(\"N";
Debug.ShouldStop(1048576);
_cmd.setField ("Parameters" /*RemoteObject*/ ,RemoteObject.createNewArray("Object",new int[] {9},new Object[] {(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("NV_CLIENTE")))),(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("NV_FECHA")))),(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("NV_USER")))),(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("NV_MOTIVO")))),(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("NV_COMM")))),(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("NV_LAT")))),(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("NV_LON")))),(c_noventa._subs.runMethod(true,"_traealmacen" /*RemoteObject*/ ,__ref.getField(false, "ba"))),(c_noventa._subs.runMethod(true,"_traeruta" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("NV_CLIENTE"))))))}));
 BA.debugLineNum = 150;BA.debugLine="reqManager.ExecuteCommand(cmd , $\"insert_novent";
Debug.ShouldStop(2097152);
__ref.getField(false,"_reqmanager" /*RemoteObject*/ ).runClassMethod (SHARK2.keymon.com.mx.dbrequestmanager.class, "_executecommand" /*RemoteObject*/ ,(Object)(_cmd),(Object)(((RemoteObject.concat(RemoteObject.createImmutable("insert_noventa_"),c_noventa.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("NV_CLIENTE")))))),RemoteObject.createImmutable(""))))));
 }
}Debug.locals.put("i", _i);
;
 };
 BA.debugLineNum = 154;BA.debugLine="End Sub";
Debug.ShouldStop(33554432);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}